> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Extract candidate terms

> Suggests candidate terms from the content of the given jobs, based on frequency and other heuristics. Returns an XLSX file listing the suggested terms.



## OpenAPI

````yaml /openapi/phrase-tms-all.json post /api2/v1/projects/{projectUid}/jobs/extractTerms
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: All
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: User Profile
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v1/projects/{projectUid}/jobs/extractTerms:
    post:
      tags:
        - Job
      summary: Extract candidate terms
      description: >-
        Suggests candidate terms from the content of the given jobs, based on
        frequency and other heuristics. Returns an XLSX file listing the
        suggested terms.
      operationId: extractTerms
      parameters:
        - name: projectUid
          in: path
          description: Project UID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExtractTermsRequestDtoV1'
        description: Jobs to extract candidate terms from and extraction settings
        required: true
      responses:
        '200':
          description: application/octet-stream
          headers:
            Content-Disposition:
              description: |-
                Contains filename (UTF-8 encoded). 

                 `filename*=UTF-8''terms.xlsx`
              schema:
                type: string
        '400':
          description: Bad Request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    ExtractTermsRequestDtoV1:
      type: object
      required:
        - jobs
      properties:
        ignoreWordContainingNumbers:
          type: boolean
          description: >-
            When true, candidate terms containing digits are ignored. Default:
            true
        jobs:
          type: array
          description: Jobs whose content is scanned for candidate terms
          items:
            $ref: '#/components/schemas/UidReference'
          maxItems: 100
          minItems: 0
        maxWords:
          type: integer
          format: int32
          description: 'Maximum number of words in an extracted term. Default: 3'
          minimum: 1
          maximum: 20
        minFrequency:
          type: integer
          format: int32
          description: >-
            Minimum number of occurrences required for a candidate term.
            Default: 4
          minimum: 1
        minWordLength:
          type: integer
          format: int32
          description: 'Minimum character length of a candidate term. Default: 4'
          minimum: 1
    UidReference:
      type: object
      required:
        - uid
      properties:
        uid:
          type: string
          example: 3HYnHHLkTPJfMxBCDbPXFe
          description: Unique identifier of the referenced object
      description: Reference to an object by its unique identifier
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````